<?php session_start();?>
<?php include('../_cfg/config.php');?>
<?php include('php_gene1.php'); ?>

<?php $regis=$_POST['xregis']; ?>
<?php $email=strtolower($_POST['email']); ?>
<?php $clave=$_POST['clave']; ?>
<?php $confirm=$_POST['codigo']; ?>
<?php $recover=$_POST['codigo']; ?>


<?php $nickname=substr($email,0,strpos($email,'@')); ?>
<?php $domain=substr($email,strpos($email,'@')); ?>

<?php $emailok=val_email($email); ?>


<?php
function val_emailusrt($email)
{
		include('../_cfg/config.php');
    $regis_sql='select * from usrt0 where lower(usrt_email)="'.$email.'"';
    $regis_res=mysql_query($regis_sql,$link_vcrx);

		if(mysql_num_rows($regis_res)!=0)
		{return true;}
		else
		{return false;}
}
?>

<?php
function val_emailuser($email)
{
		include('../_cfg/config.php');
    $regis_sql='select * from user0 where lower(user_email)="'.$email.'"';
    $regis_res=mysql_query($regis_sql,$link_vcrx);

		if(mysql_num_rows($regis_res)!=0)
		{return true;}
		else
		{return false;}
}
?>

<?php
function val_clave($clave)
{
		if(strlen($clave)>=6){return true;}
		else{return false;}
}
?>

<?php
function regis1($email,$clave)
{
		include('../_cfg/config.php');
		$regis_sql='insert into usrt0(usrt_email,usrt_idate,usrt_status)value("'.$email.'",now(),"-")';
		$regis_res=mysql_query($regis_sql,$link_vcrx);
	
		$nickname=substr($email,0,strpos($email,'@')); 
		$pin=rand(100000,999999);

		$regis_sql='update usrt0 set
								usrt_descri="'.$nickname.'",
								usrt_email="'.$email.'",
								usrt_nickname="'.$nickname.'",
								usrt_pin="'.$pin.'",
								usrt_clave=md5("'.$clave.'"),
								usrt_tipo="invi",
								usrt_status=usrt_status
								where usrt_email="'.$email.'"
								';
		$regis_res=mysql_query($regis_sql,$link_vcrx);
		regis9($email,1);
}
?>

<?php
function regis2($email,$confirm)
{
		include('../_cfg/config.php');
    $regis_sql='select * from usrt0 where lower(usrt_email)="'.$email.'" and usrt_pin="'.$confirm.'"';
    $regis_res=mysql_query($regis_sql,$link_vcrx);
	
	
		if(mysql_num_rows($regis_res)==0)
		{
      echo '<msj1>';
      echo 'ERROR : Codigo de Confirmacion NO Valido ';
      echo "\n".'</msj1>';
		}
		else
		{
			$nickname=mysql_result($regis_res,0,'usrt_nickname');
			$clave=mysql_result($regis_res,0,'usrt_clave');
			
	    $regis_sql='insert into user0(user_email)value("'.$email.'")';
  	  $regis_res=mysql_query($regis_sql,$link_vcrx);
			
			$regis_sql='update user0 set
									user_descri="'.$nickname.'",
									user_email="'.$email.'",
									user_nickname="'.$nickname.'",
									user_clave="'.$clave.'",
									user_tipo="invi",
									user_idate=now()
									where user_email="'.$email.'"
									';
			$regis_res=mysql_query($regis_sql,$link_vcrx);

			echo '<msj1>';
      echo 'CONFIRMACION OK - email :'.$email;
      echo "\n".'</msj1>';
			
			echo '<login>';
			echo '?usuario='.$email;
			echo '</login>';
			
		}

	
	

}
?>

<?php
function regis5($email,$clave)
{
		include('../_cfg/config.php');
		$pin=rand(100000,999999);

		$regis_sql='update user0 set
								user_pin="'.$pin.'",
								user_clave2=md5("'.$clave.'"),
								user_status=user_status
								where user_email="'.$email.'"
								';
		$regis_res=mysql_query($regis_sql,$link_vcrx);
		regis9($email,5);
	
	
}
?>

<?php
function regis6($email,$recover)
{
		include('../_cfg/config.php');
    $regis_sql='select * from user0 where lower(user_email)="'.$email.'" and user_pin="'.$recover.'" and user_pin!=""';
    $regis_res=mysql_query($regis_sql,$link_vcrx);
	
// 	echo $regis_sql;
	
		if(mysql_num_rows($regis_res)==0)
		{
      echo '<msj1>';
      echo 'ERROR : Codigo de Confirmacion NO Valido ';
      echo "\n".'</msj1>';
		}
		else
		{
			$regis_sql='update user0 set
									user_clave=user_clave2,
									user_pin="",
									user_status=user_status
									where user_email="'.$email.'"
									';
			$regis_res=mysql_query($regis_sql,$link_vcrx);

			echo '<msj1>';
      echo 'NUEVA CLAVE ACEPTADA - email :'.$email;
      echo "\n".'</msj1>';
			
			echo '<login>';
			echo '?usuario='.$email;
			echo '</login>';
			
		}

	
	

}
?>


<?php
function regis9($email,$body)
{
		include('../_cfg/config.php');

		$domain=substr($email,strpos($email,'@')+1);

		if($body==1)
		{	
			$regis_sql='select * from usrt0 where lower(usrt_email)="'.$email.'"';
			$regis_res=mysql_query($regis_sql,$link_vcrx);
			$pin=mysql_result($regis_res,0,'usrt_pin');

			$subject = 'Bienvenido a '.$cfg_descri;

			$cuerpo='';
			$cuerpo.='<html>';
			$cuerpo.='<head>';
			$cuerpo.='<title>Bienvenido a '.$cfg_descri.'</title>';
			$cuerpo.='</head>';

			$cuerpo.='<body>';
			$cuerpo.='Bienvenid@ a '.$cfg_descri;
			$cuerpo.='<br />';
			$cuerpo.='Para confirmar su registro de click en el siguiente enlace : ';
			$cuerpo.='<a href="'.$cfg_empr.'.vcrxol.com?email='.$email.'&confirm='.$pin.'">';
			$cuerpo.='CODIGO DE CONFIRMACION : '.$pin.'</a>';
			$cuerpo.='</body>';

			$cuerpo.='</html>';  
		}
	
		if($body==5)
		{	
			$regis_sql='select * from user0 where lower(user_email)="'.$email.'"';
			$regis_res=mysql_query($regis_sql,$link_vcrx);
// 			echo $regis_sql;
			$pin=mysql_result($regis_res,0,'user_pin');

			$subject = 'Solicitud de Restaurar Clave en '.$cfg_descri;

			$cuerpo='';
			$cuerpo.='<html>';
			$cuerpo.='<head>';
			$cuerpo.='<title>Soporte '.$cfg_descri.'</title>';
			$cuerpo.='</head>';

			$cuerpo.='<body>';
			$cuerpo.='Solicitud de Restaurar clave en : '.$cfg_descri;
			$cuerpo.='<br />';
			$cuerpo.='Para registrar su nueva clave haga click en el siguiente enlace : ';
			$cuerpo.='<a href="'.$cfg_empr.'.vcrxol.com?email='.$email.'&recover='.$pin.'">';
			$cuerpo.='CODIGO DE CONFIRMACION : '.$pin.'</a>';
			$cuerpo.='<br />';
			$cuerpo.='Si usted NO HA SOLICITADO restaurar su clave. IGNORE este mensaje.';
			$cuerpo .='</body>';

			$cuerpo.='</html>';  
		}
	
		$emailbcc='vicore@hotmail.com';
	
		if($cfg_empr=='gmny'){$emailbcc='germanyasa2020@hotmail.com,vicore@hotmail.com';}
		if($cfg_empr=='gnya'){$emailbcc='germanyasa2020@hotmail.com,vicore@hotmail.com';}
	
		$headers = 'MIME-Version: 1.0' . "\r\n";
		$headers.= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
		$headers.= 'From: VCRXOL.COM - '.$cfg_descri.' <'.$cfg_sopor.'>'. "\r\n";
		$headers.= 'Bcc:'.$emailbcc. "\r\n";
		$headers.= 'Return-Path: Soporte '.$cfg_descri.' {'.$cfg_sopor.'};';

	
		$mailok=mail($email,$subject,$cuerpo,$headers);
	 
			if($mailok)
			{
				echo '<msj1>';
				echo 'SE HA ENVIADO UN MAIL DE CONFIRMACION A : '.$email;
				echo "\n".'</msj1>';

				echo '<domain>';
				echo 'http://'.$domain;
				echo '</domain>';

				if($body==1)
				{	
					echo '<confirm>';
					echo '?email='.$email.'&confirm=0';
					echo '</confirm>';
				}
				if($body==5)
				{	
					echo '<recover>';
					echo '?email='.$email.'&recover=0';
					echo '</recover>';
				}
			}
			else
			{
				echo '<msj1>';
				echo 'ERROR AL ENVIAR CONFIRMACION A: '.$email;
				echo "\n".'</msj1>';
			}

	
	
}
?>




<?php
function regis_msj($msj1,$email)
{
	echo '<msj1>';
	if($msj1=='ENV'){echo 'ERROR : email NO VALIDO     : '.$email;}
	if($msj1=='EYC'){echo 'ADVERTENCIA : email YA CONFIRMADO : '.$email;}
	if($msj1=='EYR'){echo 'ADVERTENCIA : email YA REGISTRADO : '.$email;}
	if($msj1=='CNV'){echo 'ERROR : clave NO VALIDA     : '.$email;}
// 	if($msj1=='ROK'){echo 'REGISTRO OK - HEMOS ENVIADO UN MENSAJE DE CONFIRMAICON A :'.$email;}
	if($msj1=='ENR'){echo 'ERROR : email NO REGISTRADO : '.$email;}
// 	if($msj1=='PNV'){echo 'ERROR : codigo NO VALIDO    :'.$email;}
// 	if($msj1=='COK'){echo 'CONFIRMACION OK     :'.$email;}
	echo "\n".'</msj1>';
}

?>


<?php

echo '<resul>';
if(!$emailok)
{regis_msj('ENV',$email);}
else
{
  if($regis==1)
  {
		if(val_emailuser($email))
		{regis_msj('EYC',$email);}
		else
		{
			if(val_emailusrt($email))
			{regis_msj('EYR',$email);}
			else
			{
				if(!val_clave($clave))
				{regis_msj('CNV',$email);}
				else
				{regis1($email,$clave);}
			}
		}
  } 

  if($regis==2)
  {
		if(val_emailuser($email))
		{regis_msj('EYC',$email);}
		else
		{
			if(!val_emailusrt($email))
			{regis_msj('ENR',$email);}
			else
			{
				regis2($email,$confirm);
			}
		}
  } 

  if($regis==5)
  {
		if(!val_emailuser($email))
		{regis_msj('ENR',$email);}
		else
		{
			if(!val_clave($clave))
			{regis_msj('CNV',$email);}
			else
			{regis5($email,$clave);}
		}
	}  

  if($regis==6)
  {
		if(val_emailuser($email))
		{regis6($email,$recover);}
		else
		{regis_msj('ENR',$email);}
	} 

}
echo '</resul>';

?>


